#ifndef __PLAY_H__
#define __PLAY_H__

#include <stdint.h>
#include <board.h>

#define PGSIZE          528
#define DF_PAGE_READ   	0xD2
#define FCS             GPIO0_2
#define FRST            GPIO3_1
#define DF_READ_MANUFACTURER_AND_DEVICE_ID   0x9F
#define AUDIO_MID 0x1F

/*hold page address, Byte address of the sample play 
  currently and End Page Address of the currently playing track */
uint32_t paddress, baddress,eadd; 

/* Sampling rate */
uint8_t srate;

uint8_t read_byte(uint32_t PageAdr, uint16_t ByteAdr);

void play(void);

#endif
